From e5cc442f13aee922f6b2a954ad52b7aa8c558b2c Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Sat, 24 Dec 2022 22:51:12 +0100
Subject: [PATCH] Put Qt5Test dependency behind -DBUILD_TESTING

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 CMakeLists.txt | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 523f5ae7..9ae697b2 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -93,7 +93,7 @@ else()
     set(QtExtraModules "Multimedia") # See #483
 endif()
 string(REGEX REPLACE "^(.).*" "Qt\\1" Qt ${QtMinVersion}) # makes "Qt5" or "Qt6"
-find_package(${Qt} ${QtMinVersion} REQUIRED Core Network Gui Test ${QtExtraModules})
+find_package(${Qt} ${QtMinVersion} REQUIRED Core Network Gui ${QtExtraModules})
 get_filename_component(Qt_Prefix "${${Qt}_DIR}/../../../.." ABSOLUTE)
 message(STATUS "Using Qt ${${Qt}_VERSION} at ${Qt_Prefix}")
 
@@ -342,6 +342,7 @@ configure_file(${PROJECT_NAME}.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}
 # Configure testing
 
 if (BUILD_TESTING)
+    find_package(${Qt}Test ${QtMinVersion} REQUIRED)
     enable_testing()
     add_subdirectory(quotest)
     add_subdirectory(autotests)
-- 
2.39.0

